using System;

namespace Zimnox.Net.CTL
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	public class TOCConstants
	{
		/** Server returned an unknown service code*/
		public const int SERVICE_UNKNOWN = -1;
		/** Buddy's client is unknown. Many show up as this*/
		public const int SERVICE_UNCONFIRMED = 0;
		/** Buddy's client is using a normal client */
		public const int SERVICE_NORMAL = 1;
		/** Buddy's client service is a cell phone */
		public const int SERVICE_CELL = 2;
		/** Buddy's client is using AOL's service/browser <br>AOL's chatbots will also display this service type */
		public const int SERVICE_AOL = 3;
		/** Buddy is an ICQ user */
		public const int SERVICE_ICQ = 4;


		/** Permit mode - permit all */
		public const int PERMIT_ALL = 1;
		/** Permit mode - block all */
		public const int DENY_ALL = 2;
		/** Permit mode - allow only those on permit list */
		public const int PERMIT_SOME = 3;
		/** Permit mode - block only those on deny list */
		public const int DENY_SOME = 4;
		/** Permit mode - only allow those on buddy list */
		public const int ALLOW_BUDDIES_ONLY = 5;


		/** Buddy has stopped entering a message */
		public const int CLIENT_EVENT_STOPPED = 0;
		/** Buddy has entered text */
		public const int CLIENT_EVENT_ENTERED = 1;
		/** Buddy is currently typing */
		public const int CLIENT_EVENT_TYPING = 2;


		/** Capability UUID for Talk support */ 
		public const String CAP_TALK = "09461341-4C7F-11D1-8222-444553540000";
		/** Capability UUID for ??? */
		public const String CAP_DIRECT_PLAY = "09461342-4C7F-11D1-8222-444553540000";
		/** Capability UUID for File Transfer support (sending) */
		public const String CAP_FILE_TRANSFER = "09461343-4C7F-11D1-8222-444553540000";
		/** Capability UUID for relaying icq messages */
		public const String CAP_ICQ_RELAY =  "09461344-4C7F-11D1-8222-444553540000";
		/** Capability UUID for Direct Connect support (for sharing images) */
		public const String CAP_DIRECT_IM = "09461345-4C7F-11D1-8222-444553540000";
		/** Capability UUID for Buddy Icon support*/
		public const String CAP_BUDDY_ICON = "09461346-4C7F-11D1-8222-444553540000";
		/** Capability UUID for Add-Ins support*/
		public const String CAP_ADD_INS = "09461347-4C7F-11D1-8222-444553540000";
		/** Capability UUID for File Sharing support (receiving) */
		public const String CAP_FILE_SHARE = "09461348-4C7F-11D1-8222-444553540000";
		/** Capability UUID for ??? */
		public const String CAP_CHANNEL2 = "09461349-4C7F-11D1-8222-444553540000";
		/** Capability UUID for playing AIM games with buddy */
		public const String CAP_GAMES = "0946134a-4C7F-11D1-8222-444553540000";
		/** Capability UUID for playing non-AIM games with buddy (unsure of this) */
		public const String CAP_INVALID_GAMES = "0946134A-4C7F-11D1-2282-444553540000";
		/** Capability UUID for Send Buddy List support */
		public const String CAP_SEND_LIST = "0946134B-4C7F-11D1-8222-444553540000";
		/** Capability UUID for AIM/ICQ interoperability */
		public const String CAP_AIMICQ = "0946134D-4C7F-11D1-8222-444553540000";
		/** Capability UUID for UTF8 support */
		public const String CAP_UTF8 = "0946134E-4C7F-11D1-8222-444553540000";

		/** Message size is limited to 1024 characters*/
		public const int MESSAGE_LENGTH_LIMIT = 1024;
	}
}
